#pragma once

#include <GLFW/glfw3.h>
#include <iostream>

#include "scene.h"

namespace Callbacks
{
   extern Scene* scene_;

   void Register(GLFWwindow* window, Scene* scene);

   void Keyboard(GLFWwindow* window, int key, int scancode, int action, int mods);
   void MouseCursor(GLFWwindow* window, double x, double y);
   void MouseButton(GLFWwindow* window, int button, int action, int mods);
   void Resize(GLFWwindow* window, int width, int height);
};
